Enneo

Conversation

Get a specific conversation by ID

GET /ticket/{ticketId}/conversation/{conversationId}

GET /ticket/{ticketId}/conversation/{conversationId}

Retrieve a specific conversation by its ID within a ticket

Path parameters

ticketIdintegerpathrequired

The ID of the ticket

conversationIdintegerpathrequired

The ID of the conversation to retrieve

Query parameters

includeRawDatabooleanquery

Whether to include raw data in the response

Responses

200 — Successful operation

Response Example

{
  "conversation": {
    "id": 123,
    "ticketId": 123,
    "type": "html",
    "direction": "out",
    "private": false,
    "isDraft": false,
    "fromEmail": "service@enneo.ai",
    "fromEmailName": "Enneo Admin",
    "agentId": 1,
    "sender": {
      "id": 1,
      "name": "Enneo Admin",
      "email": "example@enneo.ai",
      "subchannelId": 1
    },
    "toEmail": [
      "to@gmail.com"
    ],
    "to": [
      "service@enneo.ai"
    ],
    "ccEmails": [
      "cc@gmail.com"
    ],
    "bccEmails": [
      "bcc@gmail.com"
    ],
    "channelId": "msg-123-abc",
    "content": {
      "message": "Thank you for your message, we can inform you that..."
    },
    "intentIds": [
      "ai_agent_meter_reading"
    ],
    "cortexRequestId": 123,
    "externalConversationId": "abc-123",
    "isRead": false,
    "attachments": [
      {
        "id": "103013960646,",
        "url": "https://storage.googleapis.com/enneo-attachments-public/a1/103013960646-4b1aa775/IMG_20230301_192712.jpg",
        "name": "IMG_20230301_192712.jpg",
        "size": 2292952,
        "width": 3120,
        "height": 4160,
        "inline": false,
        "fileEnding": "jpg",
        "contentType": "image/jpeg",
        "originalUrl": "https://storage.example.com/attachments/IMG_20230301_192712.jpg",
        "extractedData": null,
        "extractionStatus": "success",
        "extractionData": {
          "confidence": 0.815,
          "meterValue": 87870.5
        }
      }
    ],
    "interface": [],
    "createdAt": 1657056276,
    "modifiedAt": 1672756198
  },
  "success": true
}

400 — Bad request - Conversation does not belong to this ticket

403 — Unauthorized

404 — Ticket or conversation not found

500 — Internal error